Page MenuHomePhabricator

In mobile version, hidden edit summary is always shown to users who have permission to view it with no indication that it's hidden for everyone else
Closed, ResolvedPublic

Description

When admins hide edit's summaries from desktop version it still apparent from mobile version and this thing is very annoying because such edit's summaries contain inappropriate words and sometimes cursing. I wish this problem to be solved as early as possible. Regards.

The hidden edit summary is not visible to unprivileged users; it's visible to users who have permissions to view it, but there's no indication in the UI that it is hidden. In desktop pages, you need to click through to see hidden edit summaries even if you have permission to view them.

@1339861mzb has helpfully provided some images showing the issue.

Desktop - for a hidden revision a message is shown and it is not possible to see the diff OR the summary by default. A link is provided to view the diff and controls are shown to reveal the summary.

Mobile - for a hidden revision the diff is always shown and the edit summary is shown (potentially containing curse words and should be considered a form of harassment for editors)

Desktop - in history page the summary is treated differently visually (via a strikethrough) to signal a deleted revision.

Mobile - in history page the summary looks no different from other pages for admins so doesn't indicate it is hidden (nor does it provide mechanisms to hide):


(for non-admins it is however surpressed:

the diff is hidden but the edit summary still shows o_O:

Developer notes

  • We already have code in InlineDifferenceEngine to check isSuppressedDiff and isUserAllowedToSee but when user is allowed to see.

$allowed = $this->isUserAllowedToSee(); but SpecialMobileDiff does not utilise these in getIntroHTML - it renders summary regardless.

  • MobileSpecialPageFeed::renderFeedItemHtml renders the rows in the history, contributions etc... It expects summary to be hidden before rendering.
  • SpecialMobileContributions::showContributionsRow, SpecialHistory::showRow, SpecialHistory::showFeedResultRow all duplicate code for working out what the summary should be. If a user can see a deleted comment we render it, however instead of doing this we should check the value of unhide (providing an unhide option when ready)

Open questions

  • In mobile we should hide by default to admins, but what control should we use for revealing hidden comments?

Testing steps

  • Ask Jdlrobson to give your username surpressor rights. To test this you'll work as an anon and logged in user.

Suppressed revision summary

  • Switch to mobile and notice how the edit summary disappears entirely.

  • On mobile there is no indication edit summary and username was removed and the body is shown (Expected: should be hidden)

as a logged in user with suppression rights. Body is hidden and there is an indication username and summary has been removed.

Suppressed revision body

  • Note the message and what the admin user sees are inconsistent.
  • Expected: The body of the revision should be hidden but when "view this diff" is clicked it should be visible.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

No. That is not the issue. Please use mobile phone to go the link and you will sea that clearly. Thanks

Correction: when using mobile version by admin from desktop it have to click through to unhide the details but in mobile version it is aparent for admin without clicking unhide the details. Thats the problem. I am sorry the language barrier has limited the explanation

I am soory for poor language. Sorry

Thank you for the explanations. As I understand, this is not a security issue? It seems that the hidden edit summary is not visible to unprivileged users; it's visible to users who have permissions to view it, but there's no indication in the UI that it is hidden. In desktop pages, you need to click through to see hidden edit summaries even if you have permission to view them.

Yes. The aidmin from descktop have to click to show what is hidden but from mobile it is apparent wihout clicking and this is inappropriate becuse the benefit of clicking to show hidden is that to limit seeing the hidden edits to admins who want to verify that the edits must be hidden if they think the action of the admin who hide it may be not correct but from mobile this benefite is abscent and all admins saw hidden inmapproproiate edits although the dont want to see it and this is the problem. We need to put some kind of button to click on it by admins to show hidden. Is this problem going to be solved?. Thanks

matmarex renamed this task from Problem in hiding edit's summary from mobile version to In mobile version, hidden edit summary is always shown to users who have permission to view it (no indication that it's hidden for everyone else).Nov 26 2015, 9:03 PM
matmarex raised the priority of this task from High to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex removed a project: Security.
matmarex changed the visibility from "Custom Policy" to "Public (No Login Required)".
matmarex changed the edit policy from "Custom Policy" to "All Users".
matmarex changed Security from Software security bug to None.
Meno25 added a subscriber: Meno25.Nov 27 2015, 6:36 PM
KLans_WMF triaged this task as Lowest priority.Nov 30 2015, 6:01 PM

@Nirzar, how should the feature look? Feel free to re-prioritize as you see fit.

any example screenshots would be great but i think i got the gist of it. i can put up a solution soon

i will provide two pictures for the same page. one from mobile version and
another from disktop version.---1339861mzb

بتاريخ ٠٢‏/١٢‏/٢٠١٦ ١:٠٩ ص، كتب "Nirzar" <no-reply@phabricator.wikimedia.org

:

Nirzar added a comment.

any example screenshots would be great but i think i got the gist of it. i
can put up a solution soon

*TASK DETAIL*
https://phabricator.wikimedia.org/T118864

*EMAIL PREFERENCES*
https://phabricator.wikimedia.org/settings/panel/emailpreferences/

*To: *Nirzar

*Cc: *bmansurov, Nirzar, Meno25, matmarex, Krenair, Dereckson, Aklapper,
1339861mzb, StudiesWorld, Winter

Jdlrobson raised the priority of this task from Lowest to Normal.Jun 5 2017, 6:52 PM
Jdlrobson added a subscriber: Jdlrobson.

This seems confusing to editors so lowest does not seem appropriate here at all.

Jdlrobson renamed this task from In mobile version, hidden edit summary is always shown to users who have permission to view it (no indication that it's hidden for everyone else) to In mobile version, hidden edit summary is always shown to users who have permission to view it with no indication that it's hidden for everyone else.Jun 5 2017, 6:52 PM
Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.Jul 25 2017, 6:08 PM
1339861mzb added a comment.EditedNov 27 2017, 6:08 PM

thank you for your efforts. the problem is partially solved but not totaaly. look here for example the button for unhide is thankfully created but the offensive edits still apparent for admins before hitting unhide button. is that clear to you? note:1339861mzb is my previous username. مصعب is my current username and its rommanization is mossab. please help to complete this task. thanks in advance and regards

1339861mzb added a comment.EditedNov 27 2017, 6:40 PM

another example from page history that the edit summary still apparent for admins before viewing the difference between the two revisions. here the preview after viewing the difference between the two revisions

@Jdlrobson can you read my new comments? regards

@Trizek-WMF please help in copleating the triage of this problem

@1339861mzb this needs input from a designer. Are you able to add screenshots to the ticket? This would help a lot with understanding the problem and possibilities to address the problem.

@Jdlrobson yes i am ready and i will provide a screenshots tomorrow. thanks for response

@Trizek-WMF please help in copleating the triage of this problem

Apparently you now have a contact.
@1339861mzb, don't forget that people can be busy at something, or on a different timezone, or taking days off. Replies can be written after some days. :)

1339861mzb added a comment.EditedNov 28 2017, 5:53 PM

@Jdlrobson i will upload them now. @Trizek-WMF sure. Sorry for that it just that i was working on something and i thought it will take more time than expected but fortunately i finished and uploaded screenshots for clarification

Thanks @1339861mzb that's great!! Could you also show us what those look like in English or qqq language codes? It will help me understand a little more as a non-Arabic speaker. 🙏

1339861mzb added a comment.EditedNov 28 2017, 11:07 PM

@Jdlrobson thanks. I am almost always using mobile version so that i know much about its problems than other arab users. Unfortunately the comparison with english will not be compatible because i am admin at arwiki so can unhide sensored revisions but in enwiki i can't even show the difference between revision in the mobile view and i can just do that on desktop view. An example here and i will provide some screenshots.

. Regards

1339861mzb added a comment.EditedNov 29 2017, 12:09 AM

@Jdlrobson thanks. I used it but it works on one page but on page history it does not work exept when i used the append &uselang=en instead of append ?uselang=en. I uploaded the results.

matmarex removed a subscriber: matmarex.Nov 29 2017, 1:42 PM
Jdlrobson updated the task description. (Show Details)Nov 29 2017, 9:07 PM
Jdlrobson added a subscriber: ovasileva.

@ovasileva @Nirzar given the age of this issue it would be nice to address this. I don't anticipate too much work to do this, and it will result in some much needed refactoring.

Jdlrobson moved this task from Inbox to Next up on the User-Jdlrobson board.

Happy to see that great collaboration between @1339861mzb and @Jdlrobson!

Jdlrobson updated the task description. (Show Details)Jan 19 2018, 7:54 PM
Jdlrobson updated the task description. (Show Details)Jan 19 2018, 8:12 PM

Change 405365 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] hide surpressed diff bodies from admins until they unhide

https://gerrit.wikimedia.org/r/405365

@1339861mzb I have finally had time to write a fix but it will need someone from the developer community to test and code review it.

@1339861mzb I have finally had time to write a fix but it will need someone from the developer community to test and code review it.

How can i help in this regard?

If you are able to find a developer with code review rights within your community (our outside it) that also cares about fixing this that will certainly move things a lot faster!

@Meno25 we have proceed very well. What do you think is the appropriate step to do locally?

1339861mzb added a comment.EditedJan 26 2018, 11:30 AM

If you are able to find a developer with code review rights within your community (our outside it) that also cares about fixing this that will certainly move things a lot faster!

I will wait until developer review. I think there is no developer within arabic wikipedia community so if you know one please tag him. Regards

Restricted Application added a subscriber: alanajjar. · View Herald TranscriptJan 26 2018, 11:30 AM

I can give access to http://reading-web-staging.wmflabs.org/ (a test wiki) to test this if necessary. If you register do not use the same password you use in production.

I

I can give access to http://reading-web-staging.wmflabs.org/ (a test wiki) to test this if necessary. If you register do not use the same password you use in production.
I

Thank you. I just want to this problem to be solved and triaged.

Jdlrobson moved this task from Next up to Blocked on the User-Jdlrobson board.Feb 5 2018, 7:56 PM

Since this is a complicated workflow I've been asked to sit down and walk through another team member the problem and potential solution.

Since this is a complicated workflow I've been asked to sit down and walk through another team member the problem and potential solution.

Hope it will be solved soon. I know it is coplicated somewhat nut it is important and so that i submitted it. Regards

Change 405365 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Admins should not see surpressed content in feeds

https://gerrit.wikimedia.org/r/405365

Jdlrobson added a subscriber: MaxSem.

@1339861mzb thanks to @MaxSem this should hopefully be fixed by 22nd February. Fingers crossed..
Can be tested on https://en.wikipedia.beta.wmflabs.org/wiki/Test_previews and https://reading-web-staging.wmflabs.org in mean time, but you'll need an account with oversighter rights. Let me know if you want to create a new account on reading-web-staging and test before! Thanks for your patience!

@1339861mzb thanks to @MaxSem this should hopefully be fixed by 22nd February. Fingers crossed..
Can be tested on https://en.wikipedia.beta.wmflabs.org/wiki/Test_previews and https://reading-web-staging.wmflabs.org in mean time, but you'll need an account with oversighter rights. Let me know if you want to create a new account on reading-web-staging and test before! Thanks for your patience!

Thanks. Thats great!. Yes i want account to test how it appears if possible. Regards

Jdlrobson moved this task from Upcoming to Needs Prioritization on the Readers-Web-Backlog board.

If you create a new account on https://reading-web-staging.wmflabs.org/ and let us know the username one of us can temporarily give you oversight powers to test behaviour!

If you create a new account on https://reading-web-staging.wmflabs.org/ and let us know the username one of us can temporarily give you oversight powers to test behaviour!

Done. Here

Sorry @1339861mzb i was away. Did anyone help you with an account? If not it should hopefully be fixed later today on your wiki. Ill keep you posted!

Sorry @1339861mzb i was away. Did anyone help you with an account? If not it should hopefully be fixed later today on your wiki. Ill keep you posted!

No. But it is not an important thing. The most important is that the problem will be solved :) . Thanks for your help and time.

Still not solved in my wiki. What's the problem?

The deploy is blocked. Will keep you updated.

@1339861mzb it should be live now.

Yes. Great!. Finally! Thank you @Jdlrobson

Jdlrobson closed this task as Resolved.Feb 24 2018, 12:01 AM

Sorry it took so long :)
Glad that it's now taken care of!